﻿using NUnit.Framework;
using Rhino.Mocks;

namespace HttpContextUnitTestSample.Specs
{
    public abstract class ConcernOf<T>
    {

        public T Sut { get; set; }

        private MockRepository mockRepository;
        public MockRepository MockRepository
        {
            get { return mockRepository ?? (mockRepository = new MockRepository()); }
        }

        [SetUp]
        public abstract void Setup();

    }
}
