﻿using System.Web.Security;

namespace HttpContextUnitTestSample.DemoStuff
{
    public class FormsAuthenticationService : IAuthenticationService
    {

        public bool ValidateLogin(string userName, string password, IValidationState validationState)
        {
            
            if(string.IsNullOrWhiteSpace(userName) || userName != "test")
                validationState.AddError("UserName", "Benutzername ungültig.");

            if (string.IsNullOrWhiteSpace(password) || password != "test")
                validationState.AddError("Password", "Passwort ungültig.");

            return validationState.IsValid;

        }

        public void SignIn(string userName)
        {
            FormsAuthentication.SetAuthCookie(userName, false);
        }

    }
}