﻿using System;
using System.Linq.Expressions;

namespace HttpContextUnitTestSample.DemoStuff
{
    public interface IValidationState
    {
        string this[string key] { get; }
        void AddError<T>(Expression<Func<T, object>> property, string errorMessage);
        void AddError(string key, string errorMessage);
        bool ContainsKey<T>(Expression<Func<T, object>> property);
        bool ContainsKey(string key);
        bool IsValid { get; }
    }
}